## python-scipy 0.18.1

=== debian/changelog ===
python-scipy (0.18.1-2) unstable; urgency=medium

  * fix dbg package import (Closes: #840264)
  * add dbg package import adt tests

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 21 Oct 2016 16:10:57 +0200

python-scipy (0.18.1-1) unstable; urgency=medium

  [ Julian Taylor ]
  * New upstream bugfix release

  [ Sebastian Humenda ]
  * make the build-indep target execute the build target to allow the usage of
    the module for generating the documentation (Closes: #806867)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 25 Sep 2016 11:25:21 +0200

python-scipy (0.18.0-1) unstable; urgency=medium

  * New upstream release
  * add python-setuptools to build depends

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 30 Jul 2016 19:05:17 +0200

=== debian/control ===
Source: python-scipy
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Alexandre Fayolle <afayolle@debian.org>,
           Ondrej Certik <ondrej@certik.cz>,
           David Cournapeau <cournape@gmail.com>,
           Varun Hiremath <varun@debian.org>
Build-Depends: cython (>= 0.22),
               debhelper (>= 8.9.7~),
               dh-python,
               gfortran,
               libblas-dev,
               liblapack-dev,
               libsuitesparse-dev (>= 3.1.0-3),
               python-all-dbg,
               python-all-dev (>= 2.6.6-3~),
               python-decorator,
               python-mako,
               python-nose,
               python-numpy (>= 1:1.5.1),
               python-numpy-dbg (>= 1:1.5.1),
               python-setuptools,
               python3-all-dbg,
               python3-all-dev,
               python3-decorator,
               python3-nose,
               python3-numpy (>= 1:1.7.2),
               python3-numpy-dbg,
               python3-setuptools
Build-Depends-Indep: dvipng,
                     python-doc,
                     python-docutils,
                     python-matplotlib,
                     python-numpy-doc,
                     python-numpydoc,
                     python-sphinx,
                     rdfind,
                     symlinks,
                     texlive-latex-base,
                     texlive-latex-extra
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.1
Standards-Version: 3.9.8
Homepage: http://www.scipy.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-scipy.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-scipy.git

Package: python-scipy
Architecture: any
Depends: python-decorator,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Recommends: g++ | c++-compiler, python-dev, python-imaging
Suggests: python-scipy-doc
Description: scientific tools for Python
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.

Package: python3-scipy
Architecture: any
Depends: python3-decorator,
         python3-numpy (>= 1:1.7.2),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: g++ | c++-compiler
Suggests: python-scipy-doc
Description: scientific tools for Python 3
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.
 .
 This package provides the Python 3 version.

Package: python-scipy-dbg
Section: debug
Architecture: any
Depends: python-dbg,
         python-numpy-dbg (>= 1:1.5.1),
         python-scipy (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: scientific tools for Python - debugging symbols
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.
 .
 This package provides debugging symbols for python-scipy.

Package: python3-scipy-dbg
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-numpy-dbg (>= 1:1.7.2),
         python3-scipy (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: scientific tools for Python 3 - debugging symbols
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.
 .
 This package provides debugging symbols for python3-scipy.

Package: python-scipy-doc
Depends: libjs-jquery,
         libjs-mathjax,
         libjs-underscore,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Section: doc
Architecture: all
Description: scientific library for Python - documentation
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.
 .
 This package contains documentation for the SciPy library.

=== debian/rules ===
#!/usr/bin/make -f

unexport LDFLAGS
export FFLAGS="-fPIC"
export ATLAS=None

PY2VERS:= $(shell pyversions -v -r debian/control)
PY3VERS:= $(shell py3versions -v -r debian/control)
TMPDIR := $(CURDIR)/build/tmp
BASE=$(shell pwd)/debian
DVER=$(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$$//')
UVER=$(shell echo $(DVER) | sed "s/+dfsg.*//g")
PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  export NPY_NUM_BUILD_JOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

%:
	dh $@ --with python2,python3

clean: override_dh_auto_clean

override_dh_auto_clean:
	rm -rf build
	-rm -rf doc/source/fontList.cache
	-rm -rf doc/build
	find . -name "*.pyc" -exec rm {} \;
	dh_clean

override_dh_auto_configure:
	cd scipy/special && python generate_ufuncs.py
	# cython and swig done by setup.py

build-python%:
	python$* setup.py config_fc --noarch build;
	CFLAGS="-g -ggdb" python$*-dbg setup.py config_fc \
				--noarch build;

build: build-arch build-indep

build-arch:
	dh build --with=python2,python3

build-indep: build-arch
	# generate documentation (see comment below) needs compiled scipy
	(export MPLCONFIGDIR=. ; make -C doc html PYTHONPATH=../$(PYLIBPATH))

override_dh_auto_build: $(PY2VERS:%=build-python%) $(PY3VERS:%=build-python%)

install-python%:
	python$* setup.py install --root $(BASE)/tmp \
		--force --no-compile --install-layout=deb;

	python$*-dbg setup.py install --root $(BASE)/tmp \
		--force --no-compile --install-layout=deb;

override_dh_install-indep: $(PY3VERS:%=install-python%) $(PY2VERS:%=install-python%)
	dh_install

override_dh_install-arch: $(PY3VERS:%=install-python%) $(PY2VERS:%=install-python%)
	dh_install
	find debian/python-scipy -type f -name '*_d.so' -delete
	find debian/python3-scipy -type f -name '*.cpython-3?d*.so' -delete
	find debian/python-scipy-dbg ! -type d ! -name '*_d.so' -delete
	find debian/python3-scipy-dbg ! -type d ! -name '*.cpython-3?d*.so' -delete
	find debian/python-scipy-dbg -depth -empty -exec rmdir {} \;
	find debian/python3-scipy-dbg -depth -empty -exec rmdir {} \;
	rm -f $(BASE)/python-scipy*/usr/lib/python*/*-packages/scipy/LICENSE.txt;
	rm -fr $(BASE)/python-scipy*/usr/lib/python*/*-packages/scipy/weave/examples/

	# drop all the installed setup.py files
	find $(BASE)/ -name setup.py -delete
	find $(BASE)/ -name generate_ufuncs.py -delete

	set -e && for py in $(PY2VERS); do \
	  ln -sf /usr/lib/python$$py/dist-packages/decorator.py $(BASE)/python-scipy/usr/lib/python$$py/dist-packages/scipy/_lib/decorator.py; \
	done
	ln -sf /usr/lib/python3/dist-packages/decorator.py $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/_lib/decorator.py

	# not ported to py3 in 0.10.1
	rm -rf $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/weave

	dh_numpy
	dh_numpy3
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(TMPDIR)
	-set -e && for pyvers in $(PY2VERS); do \
	  ADTTMP=$(TMPDIR) \
	  PYTHONPATH=$(BASE)/python-scipy/usr/lib/python$$pyvers/dist-packages/ \
	  PYS=python$$pyvers TESTMODE=fast $(BASE)/tests/python2; \
	done
	-set -e && for pyvers in $(PY3VERS); do \
	  ADTTMP=$(TMPDIR) \
	  PYTHONPATH=$(BASE)/python3-scipy/usr/lib/python3/dist-packages/ \
	  PYS=python$$pyvers TESTMODE=fast $(BASE)/tests/python3; \
	done
endif

override_dh_fixperms-arch:
	dh_fixperms
	set -e; for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
		if head -1 $$i | grep -q '^#!' ; then                      \
	    		chmod +x $$i;                                      \
		fi ;                                                       \
	done
	sed -i '1s|.|#!/usr/bin/python\n&|' $(BASE)/python-scipy/usr/lib/$(shell pyversions -d)/dist-packages/scipy/cluster/tests/test_vq.py
	sed -i '1s|.|#!/usr/bin/python\n&|' $(BASE)/python-scipy/usr/lib/$(shell pyversions -d)/dist-packages/scipy/stats/tests/test_stats.py
	sed -i '1s|.|#!/usr/bin/python3\n&|' $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/cluster/tests/test_vq.py
	sed -i '1s|.|#!/usr/bin/python3\n&|' $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/stats/tests/test_stats.py
	#replace all the usr/bin/env python
	find $(BASE)/python3-scipy/usr/lib/python3/ -name "*.py" -type f | xargs sed -i -e "1s#usr/bin/env\s\+python\s*\$$#usr/bin/env python3#"

	# .Mat files should not be executable
	find $(BASE)/python*-scipy/usr/lib/python*/dist-packages/scipy/io/matlab/tests/data/ -executable -type f | xargs chmod -x

override_dh_strip:
	dh_strip -ppython-scipy --dbg-package=python-scipy-dbg
	dh_strip -ppython3-scipy --dbg-package=python3-scipy-dbg

override_dh_installdocs-indep:
	dh_installdocs -i

	rm -rf debian/python-scipy-doc/usr/share/doc/python-scipy-doc/html/_static/jquery.js
	dh_link -ppython-scipy-doc /usr/share/javascript/jquery/jquery.js /usr/share/doc/python-scipy-doc/html/_static/jquery.js

	rm -rf debian/python-scipy-doc/usr/share/doc/python-scipy-doc/html/_static/underscore.js
	dh_link -ppython-scipy-doc /usr/share/javascript/underscore/underscore.js /usr/share/doc/python-scipy-doc/html/_static/underscore.js

	dh_link -ppython-scipy-doc /usr/share/javascript/mathjax/MathJax.js /usr/share/doc/python-scipy-doc/html/_static/MathJax.js
	dh_sphinxdoc -i
	rdfind -outputname /dev/null -makesymlinks true -removeidentinode false debian/python-scipy-doc
	symlinks -r -s -c debian/python-scipy-doc

get-orig-source:
	-uscan --force-download --download-version $(UVER) --rename

=== debian/tests/control ===
Tests: python2
Depends: build-essential, python-scipy, python-nose, python-all, python-all-dev, python-mpmath, python-gmpy2, python-imaging

Tests: python3
Depends: build-essential, python3-scipy, python3-nose, python3-all, python3-all-dev

# short test on all python versions including debug
Tests: python2-smoke
Depends: python-scipy, python-scipy-dbg, python-nose, python-all

# short test on all python versions including debug
Tests: python3-smoke
Depends: python3-scipy, python3-scipy-dbg, python3-nose, python3-all

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: openblas
Restrictions: needs-root
Depends: build-essential, python-scipy, python-nose, python, libopenblas-base

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: atlas
Restrictions: needs-root
Depends: build-essential, python-scipy, python-nose, python, libatlas3-base

## python-scipy 0.19.1

=== debian/changelog ===
python-scipy (0.19.1-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Bump test_orthogonal.test_j_roots tolerance (LP: #1717767)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jan 2018 15:38:43 +0100

python-scipy (0.19.1-2) unstable; urgency=medium

  * Replace python-imaging recomments with python-pil (Closes: #866468)
  * build documentation with python3-sphinx
  * Fix atlas and openblas tests for openblas and atlas multiarch locations
    Thanks to Matthias Klose for the patch (Closes: #876007)
  * Depend on python-all-dbg for autopkgtests
    Thanks to Michael Hudson-Doyle for the patch (Closes: #864699)
  * bump standard to 4.1.3
    - debian/control: replace priority extra with optional

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 07 Jan 2018 14:38:57 +0100

python-scipy (0.19.1-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Bump test_orthogonal.test_j_roots tolerance (LP: #1717767)
    - Fix atlas and openblas tests for openblas and atlas multiarch
      locations.
    - d/tests/control: Add python3-all-dbg to dependencies of python3-smoke test. 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Nov 2017 09:14:24 +0100

python-scipy (0.19.1-1) unstable; urgency=medium

  * New upstream release
  * weave has been removed, drop its patch blitz++.patch
  * drop cap-ld-precision.patch, fixed in numpy

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 06 Sep 2017 18:07:38 +0200

python-scipy (0.18.1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * No-change rebuild to build without _PyFPE symbols.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 16:36:34 +0200

python-scipy (0.18.1-2ubuntu5) artful; urgency=medium

  * Bump test_orthogonal.test_j_roots tolerance (LP: #1717767)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 17 Sep 2017 12:15:46 +0000

python-scipy (0.18.1-2ubuntu4) artful; urgency=medium

  * Fix atlas and openblas tests for openblas and atlas multiarch
    locations.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Sep 2017 08:07:12 +0200

python-scipy (0.18.1-2ubuntu3) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:23:23 +0000

python-scipy (0.18.1-2ubuntu2) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 18:12:26 +0000

python-scipy (0.18.1-2ubuntu1) artful; urgency=medium

  * d/tests/control: Add python3-all-dbg to dependencies of python3-smoke test. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 13 Jun 2017 12:31:02 +1200

python-scipy (0.18.1-2build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Jun 2017 16:24:46 -0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-scipy
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Alexandre Fayolle <afayolle@debian.org>,
            Ondrej Certik <ondrej@certik.cz>,
@@ -34,14 +34,14 @@
                      python-matplotlib,
                      python-numpy-doc,
                      python-numpydoc,
-                     python-sphinx,
+                     python3-sphinx,
                      rdfind,
                      symlinks,
                      texlive-latex-base,
                      texlive-latex-extra
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.1
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://www.scipy.org/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-scipy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-scipy.git
@@ -53,7 +53,7 @@
          ${python:Depends},
          ${shlibs:Depends}
 Provides: ${python:Provides}
-Recommends: g++ | c++-compiler, python-dev, python-imaging
+Recommends: g++ | c++-compiler, python-dev, python-pil
 Suggests: python-scipy-doc
 Description: scientific tools for Python
  SciPy supplements the popular NumPy module (python-numpy package), gathering a
@@ -73,7 +73,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: g++ | c++-compiler
+Recommends: g++ | c++-compiler, python3-pil
 Suggests: python-scipy-doc
 Description: scientific tools for Python 3
  SciPy supplements the popular NumPy module (python-numpy package), gathering a

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 
 build-indep: build-arch
 	# generate documentation (see comment below) needs compiled scipy
-	(export MPLCONFIGDIR=. ; make -C doc html PYTHONPATH=../$(PYLIBPATH))
+	(export MPLCONFIGDIR=. ; make -C doc html PYTHONPATH=../$(PYLIBPATH) PYVER=3)
 
 override_dh_auto_build: $(PY2VERS:%=build-python%) $(PY3VERS:%=build-python%)

=== debian/tests/control ===
Tests: python2
Depends: build-essential, python-scipy, python-nose, python-all, python-all-dev, python-mpmath, python-gmpy2, python-pil

Tests: python3
Depends: build-essential, python3-scipy, python3-nose, python3-all, python3-all-dev, python3-pil

# short test on all python versions including debug
Tests: python2-smoke
Depends: python-scipy, python-scipy-dbg, python-nose, python-all, python-all-dbg

# short test on all python versions including debug
Tests: python3-smoke
Depends: python3-scipy, python3-scipy-dbg, python3-nose, python3-all, python3-all-dbg

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: openblas
Restrictions: needs-root
Depends: build-essential, python-scipy, python-nose, python, libopenblas-base

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: atlas
Restrictions: needs-root
Depends: build-essential, python-scipy, python-nose, python, libatlas3-base

## python-scipy 1.1.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

PYVER ?= 3.6
PYTHON = python$(PYVER)

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = LANG=C $(PYTHON) $(shell which sphinx-build)
PAPER         =

FILES=

# Internal variables.
PAPEROPT_a4     = -D "latex_elements.papersize=a4paper"
PAPEROPT_letter = -D "latex_elements.papersize=letterpaper"
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck \
        dist dist-build

#------------------------------------------------------------------------------

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  html-scipyorg  to make standalone HTML files with scipy.org theming"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  dist PYVER=... to make a distribution-ready tree"
	@echo "  upload USERNAME=... RELEASE=... to upload built docs to docs.scipy.org"

clean:
	-rm -rf build/* source/generated


#------------------------------------------------------------------------------
# Automated generation of all documents
#------------------------------------------------------------------------------

# Build the current scipy version, and extract docs from it.
# We have to be careful of some issues:
#
# - Everything must be done using the same Python version
# - We must use eggs (otherwise they might override PYTHONPATH on import).
# - Different versions of easy_install install to different directories (!)
#

INSTALL_DIR = $(CURDIR)/build/inst-dist/
INSTALL_PPH = $(INSTALL_DIR)/lib/python$(PYVER)/site-packages:$(INSTALL_DIR)/local/lib/python$(PYVER)/site-packages:$(INSTALL_DIR)/lib/python$(PYVER)/dist-packages:$(INSTALL_DIR)/local/lib/python$(PYVER)/dist-packages
UPLOAD_DIR=/srv/docs_scipy_org/doc/scipy-$(RELEASE)

DIST_VARS=PYTHON="PYTHONPATH=$(INSTALL_PPH):$$PYTHONPATH $(PYTHON)" SPHINXBUILD="PYTHONPATH=$(INSTALL_PPH):$$PYTHONPATH $(SPHINXBUILD)"

dist:
	make $(DIST_VARS) real-dist

real-dist: dist-build html html-scipyorg
	test -d build/latex || make latex
	make -C build/latex all-pdf LATEXOPTS="-halt-on-error"
	-test -d build/htmlhelp || make htmlhelp-build
	-rm -rf build/dist
	mkdir -p build/dist
	cp -r build/html-scipyorg build/dist/reference
	touch build/dist/index.html
	(cd build/html && zip -9qr ../dist/scipy-html.zip .)
	cp build/latex/scipy-ref.pdf build/dist
	chmod ug=rwX,o=rX -R build/dist
	find build/dist -type d -print0 | xargs -0r chmod g+s
	cd build/dist && tar czf ../dist.tar.gz *

dist-build:
	rm -f ../dist/*.egg
	cd .. && $(PYTHON) setup.py bdist_egg
	install -d $(subst :, ,$(INSTALL_PPH))
	$(PYTHON) `which easy_install` --prefix=$(INSTALL_DIR) ../dist/*.egg

upload:
	# SSH must be correctly configured for this to work.
	# Assumes that ``make dist`` was already run
	# Example usage: ``make upload USERNAME=rgommers RELEASE=0.17.0``
	ssh $(USERNAME)@new.scipy.org mkdir $(UPLOAD_DIR)
	scp build/dist.tar.gz $(USERNAME)@new.scipy.org:$(UPLOAD_DIR)
	ssh $(USERNAME)@new.scipy.org tar xvC $(UPLOAD_DIR) \
	    -zf $(UPLOAD_DIR)/dist.tar.gz
	ssh $(USERNAME)@new.scipy.org mv $(UPLOAD_DIR)/scipy-ref.pdf \
	    $(UPLOAD_DIR)/scipy-ref-$(RELEASE).pdf
	ssh $(USERNAME)@new.scipy.org mv $(UPLOAD_DIR)/scipy-html.zip \
	    $(UPLOAD_DIR)/scipy-html-$(RELEASE).zip
	ssh $(USERNAME)@new.scipy.org rm $(UPLOAD_DIR)/dist.tar.gz
	ssh $(USERNAME)@new.scipy.org ln -snf scipy-$(RELEASE) /srv/docs_scipy_org/doc/scipy

#------------------------------------------------------------------------------
# Basic Sphinx generation rules for different formats
#------------------------------------------------------------------------------

html:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html $(FILES)
	@echo
	@echo "Build finished. The HTML pages are in build/html."

html-scipyorg:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -t scipyorg -b html $(ALLSPHINXOPTS) build/html-scipyorg $(FILES)
	@echo
	@echo "Build finished. The HTML pages are in build/html-scipyorg."

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle $(FILES)
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp $(FILES)
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

htmlhelp-build: htmlhelp build/htmlhelp/scipy.chm
%.chm: %.hhp
	-hhc.exe $^

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex $(FILES)
	$(PYTHON) postprocess.py tex build/latex/*.tex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

coverage: build
	mkdir -p build/coverage build/doctrees
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) build/coverage $(FILES)
	@echo "Coverage finished; see c.txt and python.txt in build/coverage"

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes $(FILES)
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck $(FILES)
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

=== debian/changelog ===
python-scipy (1.1.0-7) unstable; urgency=medium

  * Team upload.
  * Patch fix_test_optim_canonical~onstraint_2d7e7e8c.patch applies
    upstream patch 2d7e7e8 to fix occasional random failures in
    test_canonical_constraint.test_concatenation.

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Apr 2019 00:46:35 +0800

python-scipy (1.1.0-6) unstable; urgency=medium

  * Team upload.
  * skip sparsetools.TestInt32Overflow matvec tests on python3 also.

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Apr 2019 09:38:17 +0800

python-scipy (1.1.0-5) unstable; urgency=medium

  * Team upload.
  * Skip sparsetools.TestInt32Overflow matvec tests on python2
    (MemoryError). Closes: #919929.

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Apr 2019 16:41:47 +0800

python-scipy (1.1.0-4) unstable; urgency=medium

  * Team upload.
  * Replace patch ignore_DeprecationWarning_diff1.2.patch with
      matrix_API_614847c5.patch
      matrix_API_filter_check_87e48c3c5.patch
      matrix_API_more_e0cfa29e2.patch
    adapting the indicated upstream commits to scipy 1.1.0
    (use numpy.matmul instead of @ for matrix multiplication, since @
    is not available in python2)
    Removes sources of matrix DeprecationWarnings.
    Addresses: Bug#919929.

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Mar 2019 14:12:00 +0800

python-scipy (1.1.0-3) unstable; urgency=medium

  * Team upload.
  * Debian patch ignore_DeprecationWarning_diff1.2.patch applies diff
    of pytest.ini between scipy 1.1 and 1.2 to ignore
    DeprecationWarnings from numpy 1.16. Addresses Bug#919929.
  * Use default gfortran-8 on s390x. unroll-loops was fixed in
    gcc-8 8.2.0-18. Closes: #906198, #915738.

 -- Drew Parsons <dparsons@debian.org>  Fri, 08 Mar 2019 00:31:29 +0800

python-scipy (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Remove Alexandre Fayolle from the Uploaders list.  Thanks for your
    previous contributions!  Closes: #833329
  * Use gfortran-7 on s390x to work around a regression causing the imexam
    test suite to fail when scipy is built with gfortran 8.  Addresses: #906198
  * Add some Multi-Arch markers suggested by the m-a hinter.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 04 Nov 2018 19:01:19 +0100

python-scipy (1.1.0-1) unstable; urgency=medium

  [ Julian Taylor ]
  *  New upstream release
     Closes: #896060, #901380, #896635
  * update to debian/compat 9 and standard 4.1.4

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 01 Jul 2018 14:34:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Alexandre Fayolle <afayolle@debian.org>,
-           Ondrej Certik <ondrej@certik.cz>,
+Uploaders: Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
            Varun Hiremath <varun@debian.org>
-Build-Depends: cython (>= 0.22),
-               debhelper (>= 8.9.7~),
+Build-Depends: cython3 (>= 0.22),
+               debhelper (>= 9~),
                dh-python,
                gfortran,
                libblas-dev,
@@ -17,34 +16,33 @@
                python-all-dev (>= 2.6.6-3~),
                python-decorator,
                python-mako,
-               python-nose,
                python-numpy (>= 1:1.5.1),
                python-numpy-dbg (>= 1:1.5.1),
+               python-pytest,
                python-setuptools,
                python3-all-dbg,
                python3-all-dev,
                python3-decorator,
-               python3-nose,
                python3-numpy (>= 1:1.7.2),
                python3-numpy-dbg,
+               python3-pytest,
                python3-setuptools
 Build-Depends-Indep: dvipng,
-                     python-doc,
-                     python-docutils,
-                     python-matplotlib,
+                     python-matplotlib-doc,
                      python-numpy-doc,
-                     python-numpydoc,
+                     python3-doc,
+                     python3-docutils,
+                     python3-matplotlib,
+                     python3-numpydoc,
                      python3-sphinx,
                      rdfind,
                      symlinks,
                      texlive-latex-base,
                      texlive-latex-extra
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.1
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.scipy.org/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-scipy.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-scipy.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-scipy.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-scipy
 
 Package: python-scipy
 Architecture: any
@@ -91,6 +89,7 @@
 Package: python-scipy-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends: python-dbg,
          python-numpy-dbg (>= 1:1.5.1),
          python-scipy (= ${binary:Version}),
@@ -113,6 +112,7 @@
 Package: python3-scipy-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends: python3-dbg,
          python3-numpy-dbg (>= 1:1.7.2),
          python3-scipy (= ${binary:Version}),
@@ -140,6 +140,7 @@
          ${sphinxdoc:Depends}
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Description: scientific library for Python - documentation
  SciPy supplements the popular NumPy module (python-numpy package), gathering a
  variety of high level science and engineering modules together as a single

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,17 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
 
 unexport LDFLAGS
 export FFLAGS="-fPIC"
 export ATLAS=None
+export PATH := $(CURDIR)/debian/extra_bin:$(PATH)
 
 PY2VERS:= $(shell pyversions -v -r debian/control)
 PY3VERS:= $(shell py3versions -v -r debian/control)
 TMPDIR := $(CURDIR)/build/tmp
 BASE=$(shell pwd)/debian
-DVER=$(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$$//')
-UVER=$(shell echo $(DVER) | sed "s/+dfsg.*//g")
-PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
+PYLIBPATH := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)")
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   export NPY_NUM_BUILD_JOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -25,12 +26,14 @@
 	rm -rf build
 	-rm -rf doc/source/fontList.cache
 	-rm -rf doc/build
+	-rm -rf debian/extra_bin
 	find . -name "*.pyc" -exec rm {} \;
 	dh_clean
 
 override_dh_auto_configure:
-	cd scipy/special && python generate_ufuncs.py
-	# cython and swig done by setup.py
+	rm -f cythonize.dat
+	touch scipy/linalg/_generate_pyx.py scipy/special/_generate_pyx.py
+	python3 tools/cythonize.py
 
 build-python%:
 	python$* setup.py config_fc --noarch build;
@@ -40,7 +43,7 @@
 build: build-arch build-indep
 
 build-arch:
-	dh build --with=python2,python3
+	dh build-arch --with=python2,python3
 
 build-indep: build-arch
 	# generate documentation (see comment below) needs compiled scipy
@@ -111,9 +114,6 @@
 	#replace all the usr/bin/env python
 	find $(BASE)/python3-scipy/usr/lib/python3/ -name "*.py" -type f | xargs sed -i -e "1s#usr/bin/env\s\+python\s*\$$#usr/bin/env python3#"
 
-	# .Mat files should not be executable
-	find $(BASE)/python*-scipy/usr/lib/python*/dist-packages/scipy/io/matlab/tests/data/ -executable -type f | xargs chmod -x
-
 override_dh_strip:
 	dh_strip -ppython-scipy --dbg-package=python-scipy-dbg
 	dh_strip -ppython3-scipy --dbg-package=python3-scipy-dbg
@@ -127,11 +127,7 @@
 	rm -rf debian/python-scipy-doc/usr/share/doc/python-scipy-doc/html/_static/underscore.js
 	dh_link -ppython-scipy-doc /usr/share/javascript/underscore/underscore.js /usr/share/doc/python-scipy-doc/html/_static/underscore.js
 
-	dh_link -ppython-scipy-doc /usr/share/javascript/mathjax/MathJax.js /usr/share/doc/python-scipy-doc/html/_static/MathJax.js
-	dh_sphinxdoc -i
+	dh_sphinxdoc -i -XMathJax.js
+	find debian/python-scipy-doc/ -name scipy-mathjax | xargs rm -rf
 	rdfind -outputname /dev/null -makesymlinks true -removeidentinode false debian/python-scipy-doc
 	symlinks -r -s -c debian/python-scipy-doc
-
-get-orig-source:
-	-uscan --force-download --download-version $(UVER) --rename
-

=== debian/tests/control ===
Tests: python2
Depends: build-essential, python-scipy, python-pytest, python-all, python-all-dev, python-mpmath, python-gmpy2, python-pil

Tests: python3
Depends: build-essential, python3-scipy, python3-pytest, python3-all, python3-all-dev, python3-pil

# short test on all python versions including debug
Tests: python2-smoke
Depends: python-scipy, python-scipy-dbg, python-pytest, python-all, python-all-dbg

# short test on all python versions including debug
Tests: python3-smoke
Depends: python3-scipy, python3-scipy-dbg, python3-pytest, python3-all, python3-all-dbg

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: openblas
Restrictions: needs-root
Depends: build-essential, python-scipy, python-pytest, python, libopenblas-base

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: atlas
Restrictions: needs-root
Depends: build-essential, python-scipy, python-pytest, python, libatlas3-base

## python-scipy 1.2.1

=== debian/changelog ===
python-scipy (1.2.1-0ubuntu3) disco; urgency=medium

  * Fix skipping TestPlotting failures

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 20 Mar 2019 16:36:30 +0000

python-scipy (1.2.1-0ubuntu2) disco; urgency=medium

  * Use gfortran-8 on s390x again (Closes: #906198, #915738)
  * Skip TestPlotting failures with Matplotlib >= 3.0.0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 19 Mar 2019 21:26:08 +0000

python-scipy (1.2.1-0ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Feb 2019 09:47:07 +0100

python-scipy (1.2.0-1) experimental; urgency=medium

  * New upstream release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 15 Jan 2019 12:27:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-scipy
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
            Varun Hiremath <varun@debian.org>

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 unexport LDFLAGS
 export FFLAGS="-fPIC"
 export ATLAS=None
-export PATH := $(CURDIR)/debian/extra_bin:$(PATH)
 
 PY2VERS:= $(shell pyversions -v -r debian/control)
 PY3VERS:= $(shell py3versions -v -r debian/control)
@@ -26,7 +25,6 @@
 	rm -rf build
 	-rm -rf doc/source/fontList.cache
 	-rm -rf doc/build
-	-rm -rf debian/extra_bin
 	find . -name "*.pyc" -exec rm {} \;
 	dh_clean

## python-scipy 1.2.2

=== debian/changelog ===
python-scipy (1.2.2-4) unstable; urgency=medium

  * Team upload.
  * debian patch Use-system-LBFGSB.patch:
    run test_minimize_l_bfgs_maxls with rtol=1e-5

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Jul 2019 09:28:55 +0800

python-scipy (1.2.2-3) unstable; urgency=medium

  * Team upload.
  * run build-time tests over all versions of python3
  * Build-Depends: liblbfgsb-dev and add Debian patch
    Use-system-LBFGSB.patch to use the system L-BFGS-B library (which
    uses LAPACK rather than the scipy-bundled LINPACK)
    Enables test_minimize_l_bfgs_maxls in scipy.optimize to succeed.
    Thanks Gard Spreemann. Closes: #778635.

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Jul 2019 00:26:20 +0800

python-scipy (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * debhelper compatibility level 12
    - run configure build step through pybuild to get consistent
      build directories
    - set PYLIBPATH to pybuild build directory
  * debian/rules: use AUTOPKGTEST_TMP instead of ADTTMP to run tests
  * v1.2.2 fixes indexing in fftpack. Closes: #924396.
  * drop ignore_DeprecationWarning_diff1.2.patch (already applied in
    scipy 1.2)
  * Register docs with doc-base. Closes: #846253.
  * debian/tests/python3: skip tests of
    scipy.spatial.tests.test__plotutils.TestPlotting
    (see https://github.com/scipy/scipy/issues/9946)

 -- Drew Parsons <dparsons@debian.org>  Mon, 29 Jul 2019 18:43:34 +0800

python-scipy (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * configure debian/watch to grab tar.xz rather than tar.gz
    (for smaller tarballs)
  * debian/rules: build with dh --buildsystem=pybuild
  * Standards-Version: 4.4.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Jul 2019 15:22:36 +0800

python-scipy (1.2.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Feb 2019 11:16:38 +0800

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: python-scipy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
            Varun Hiremath <varun@debian.org>
 Build-Depends: cython3 (>= 0.22),
-               debhelper (>= 9~),
+               debhelper-compat (= 12),
                dh-python,
                gfortran,
                libblas-dev,
                liblapack-dev,
+               liblbfgsb-dev,
                libsuitesparse-dev (>= 3.1.0-3),
                python-all-dbg,
                python-all-dev (>= 2.6.6-3~),
@@ -40,7 +40,7 @@
                      symlinks,
                      texlive-latex-base,
                      texlive-latex-extra
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: http://www.scipy.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-scipy.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-scipy

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=scipy

include /usr/share/dpkg/architecture.mk

unexport LDFLAGS
export FFLAGS="-fPIC"
export ATLAS=None
export PATH := $(CURDIR)/debian/extra_bin:$(PATH)

PY2VERS:= $(shell pyversions -v -r debian/control)
PY3VERS:= $(shell py3versions -v -r debian/control)
TMPDIR := $(CURDIR)/build/tmp
BASE=$(shell pwd)/debian

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  export NPY_NUM_BUILD_JOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf build
	-rm -rf doc/source/fontList.cache
	-rm -rf doc/build
	-rm -rf debian/extra_bin
	find . -name "*.pyc" -exec rm {} \;
	dh_clean

override_dh_auto_configure:
	rm -f cythonize.dat
	touch scipy/linalg/_generate_pyx.py scipy/special/_generate_pyx.py
	python3 tools/cythonize.py

build-python%:
	pybuild -p$* --configure --configure-args "config_fc --noarch build"
	CFLAGS="-g -ggdb" \
	  pybuild -p$* -ipython$*-dbg --configure --configure-args "config_fc --noarch build"

override_dh_auto_build-arch: $(PY2VERS:%=build-python%) $(PY3VERS:%=build-python%)

override_dh_auto_build-indep: $(PY3VERS:%=build-python%)
	# generate documentation (see comment below) needs compiled scipy
	(export MPLCONFIGDIR=. ; \
	PYLIBPATH=`pybuild --print build_dir | awk '{print $$3}'`; \
	echo "building docs using PYLIBPATH=$$PYLIBPATH"; \
	make -C doc html PYTHONPATH=$$PYLIBPATH PYVER=3)

override_dh_auto_test:
	echo "Build-time tests will be run after the installation dir is installed"

override_dh_auto_install:
	dh_auto_install -- --install-args "--root $(BASE)/tmp --force --no-compile --install-layout=deb";

override_dh_install-arch:
	dh_install
	find debian/python-scipy -type f -name '*_d.so' -delete
	find debian/python3-scipy -type f -name '*.cpython-3?d*.so' -delete
	find debian/python-scipy-dbg ! -type d ! -name '*_d.so' -delete
	find debian/python3-scipy-dbg ! -type d ! -name '*.cpython-3?d*.so' -delete
	find debian/python-scipy-dbg -depth -empty -exec rmdir {} \;
	find debian/python3-scipy-dbg -depth -empty -exec rmdir {} \;
	rm -f $(BASE)/python-scipy*/usr/lib/python*/*-packages/scipy/LICENSE.txt;
	rm -fr $(BASE)/python-scipy*/usr/lib/python*/*-packages/scipy/weave/examples/

	# drop all the installed setup.py files
	find $(BASE)/ -name setup.py -delete
	find $(BASE)/ -name generate_ufuncs.py -delete

	set -e && for py in $(PY2VERS); do \
	  ln -sf /usr/lib/python$$py/dist-packages/decorator.py $(BASE)/python-scipy/usr/lib/python$$py/dist-packages/scipy/_lib/decorator.py; \
	done
	set -e && for py in $(PY3VERS); do \
	  ln -sf /usr/lib/python3/dist-packages/decorator.py $(BASE)/python3-scipy/usr/lib/python$$py/dist-packages/scipy/_lib/decorator.py; \
	done

	# not ported to py3 in 0.10.1
	rm -rf $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/weave

	dh_numpy
	dh_numpy3
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(TMPDIR)
	-set -e && for pyvers in $(PY2VERS); do \
	  AUTOPKGTEST_TMP=$(TMPDIR) \
	  PYTHONPATH=$(BASE)/python-scipy/usr/lib/python$$pyvers/dist-packages/ \
	  PYS=python$$pyvers TESTMODE=fast $(BASE)/tests/python2; \
	done
	-set -e && for pyvers in $(PY3VERS); do \
	  AUTOPKGTEST_TMP=$(TMPDIR) \
	  PYTHONPATH=$(BASE)/python3-scipy/usr/lib/python$$pyvers/dist-packages/ \
	  PYS=python$$pyvers TESTMODE=fast $(BASE)/tests/python3; \
	done
endif

override_dh_fixperms-arch:
	dh_fixperms
	set -e; for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
		if head -1 $$i | grep -q '^#!' ; then                      \
	    		chmod +x $$i;                                      \
		fi ;                                                       \
	done
	sed -i '1s|.|#!/usr/bin/python\n&|' $(BASE)/python-scipy/usr/lib/$(shell pyversions -d)/dist-packages/scipy/cluster/tests/test_vq.py
	sed -i '1s|.|#!/usr/bin/python\n&|' $(BASE)/python-scipy/usr/lib/$(shell pyversions -d)/dist-packages/scipy/stats/tests/test_stats.py
	sed -i '1s|.|#!/usr/bin/python3\n&|' $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/cluster/tests/test_vq.py
	sed -i '1s|.|#!/usr/bin/python3\n&|' $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/stats/tests/test_stats.py
	#replace all the usr/bin/env python
	find $(BASE)/python3-scipy/usr/lib/python3/ -name "*.py" -type f | xargs sed -i -e "1s#usr/bin/env\s\+python\s*\$$#usr/bin/env python3#"

override_dh_strip:
	dh_strip -ppython-scipy --dbg-package=python-scipy-dbg
	dh_strip -ppython3-scipy --dbg-package=python3-scipy-dbg

override_dh_installdocs-indep:
	dh_installdocs -i

	rm -rf debian/python-scipy-doc/usr/share/doc/python-scipy/html/_static/jquery.js
	dh_link -ppython-scipy-doc /usr/share/javascript/jquery/jquery.js /usr/share/doc/python-scipy/html/_static/jquery.js

	rm -rf debian/python-scipy-doc/usr/share/doc/python-scipy/html/_static/underscore.js
	dh_link -ppython-scipy-doc /usr/share/javascript/underscore/underscore.js /usr/share/doc/python-scipy/html/_static/underscore.js

	dh_sphinxdoc -i -XMathJax.js
	find debian/python-scipy-doc/ -name scipy-mathjax | xargs rm -rf
	rdfind -outputname /dev/null -makesymlinks true -removeidentinode false debian/python-scipy-doc
	symlinks -r -s -c debian/python-scipy-doc
